<refentry id="variablelist.max.termlength">
<refmeta>
<refentrytitle>variablelist.max.termlength</refentrytitle>

</refmeta>
<refnamediv>
<refname>variablelist.max.termlength</refname>
<refpurpose>Specifies the longest term in variablelists</refpurpose>
</refnamediv>

<refsynopsisdiv>
<src:fragment id='variablelist.max.termlength.frag'>
<xsl:param name="variablelist.max.termlength">24</xsl:param>
</src:fragment>
</refsynopsisdiv>

<refsect1><title>Description</title>

<para>In variablelists, the <sgmltag>listitem</sgmltag>
is indented to leave room for the 
<sgmltag>term</sgmltag> elements. That indent may be computed
if it is not specified with a <sgmltag class="attribute">termlength</sgmltag>
attribute on the <sgmltag>variablelist</sgmltag> element.
</para>
<para>
The computation counts characters in the 
<sgmltag>term</sgmltag> elements in the list
to find the longest term.  However, some terms are very long
and would produce extreme indents.  This parameter lets you
set a maximum character count.  Any terms longer than the maximum
would line wrap.  The default value is 24.
</para>
<para>
The character counts are converted to physical widths
by multiplying by 0.50em. There will be some variability
in how many actual characters fit in the space
since some characters are wider than others.
</para>

</refsect1>
</refentry>
